com.sun.jna.platform.win32

## Class User32Util

- java.lang.Object
- - com.sun.jna.platform.win32.User32Util

    public final class User32Util
    extends java.lang.Object

Provides convenient usage of functions defined by `User32.dll`.

Author:
  Ralf HAMBERGER, Markus KARG (markus[at]headcrashing[dot]eu)

### Nested Class Summary

Nested Classes
`static class` `User32Util.MessageLoopThread` Helper class, that runs a windows message loop as a seperate thread.

### Field Summary

Fields
`static java.util.EnumSet<Win32VK>` `WIN32VK_MAPPABLE` Set of `Win32VK` members that can be mapped to a UniCode code point via a keyboard layout.

### Constructor Summary

Constructors
Constructor and Description
`User32Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static WinDef.HWND` `createWindow(java.lang.String className, java.lang.String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)`
`static WinDef.HWND` `createWindowEx(int exStyle, java.lang.String className, java.lang.String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)`
`static void` `destroyWindow(WinDef.HWND hWnd)`
`static java.util.List<WinUser.RAWINPUTDEVICELIST>` `GetRawInputDeviceList()`
`static java.lang.String` `loadString(java.lang.String location)` Load a string value from the string table of an executable.
`static int` `registerWindowMessage(java.lang.String lpString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WIN32VK_MAPPABLE

    public static final java.util.EnumSet<Win32VK> WIN32VK_MAPPABLE

Set of `Win32VK` members that can be mapped to a UniCode code point via a keyboard layout.

### Constructor Detail

#### User32Util

    public User32Util()

### Method Detail

#### registerWindowMessage

    public static final int registerWindowMessage(java.lang.String lpString)

#### createWindow

    public static final WinDef.HWND createWindow(java.lang.String className,
                                                 java.lang.String windowName,
                                                 int style,
                                                 int x,
                                                 int y,
                                                 int width,
                                                 int height,
                                                 WinDef.HWND parent,
                                                 WinDef.HMENU menu,
                                                 WinDef.HINSTANCE instance,
                                                 WinDef.LPVOID param)

#### createWindowEx

    public static final WinDef.HWND createWindowEx(int exStyle,
                                                   java.lang.String className,
                                                   java.lang.String windowName,
                                                   int style,
                                                   int x,
                                                   int y,
                                                   int width,
                                                   int height,
                                                   WinDef.HWND parent,
                                                   WinDef.HMENU menu,
                                                   WinDef.HINSTANCE instance,
                                                   WinDef.LPVOID param)

#### destroyWindow

    public static final void destroyWindow(WinDef.HWND hWnd)

#### GetRawInputDeviceList

    public static final java.util.List<WinUser.RAWINPUTDEVICELIST> GetRawInputDeviceList()

#### loadString

    public static java.lang.String loadString(java.lang.String location)
                                       throws java.io.UnsupportedEncodingException

Load a string value from the string table of an executable.

Parameters:
  `location` - the location, eg. %SystemRoot%\system32\input.dll,-5011
Returns:
  the string located at the designated location
Throws:
  `java.io.UnsupportedEncodingException`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.